Skip to main content
GET
/
api
/
v1
/
targets
/
chainlink
Chainlink price at timestamp
curl --request GET \
  --url https://api.vatic.trading/api/v1/targets/chainlink
import requests

url = "https://api.vatic.trading/api/v1/targets/chainlink"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.vatic.trading/api/v1/targets/chainlink', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "now": "2025-04-07T12:00:00.000Z",
  "asset": "btc",
  "marketType": "5min",
  "requestedTimestamp": 1744027500,
  "source": "chainlink",
  "price": 82450.75,
  "_cache": {
    "hit": false,
    "windowStart": 1744027500,
    "ageSec": 2
  }
}

Query Parameters

asset
enum<string>
required
Available options:
btc,
eth,
sol,
xrp,
hype,
doge,
bnb
type
enum<string>
required

Chainlink-sourced interval types only.

Available options:
5min,
15min,
4hour
timestamp
integer
required

Response

Chainlink price